# Documentation Specfile

Name:           fldigi-doc
Version:        3.20
Release:        3%{?dist}
Summary:        Documentation for the Fldigi project
Group:          Documentation
# License information gathered from License.html included in this package.
License:        LGPLv2+
URL:            http://www.w1hkj.com/FldigiHelp-3.20/index.html
# Temporary download directory may change
Source0:        http://www.w1hkj.com/downloads/fldigi/FldigiHelp-3.20.tgz
Source1:        %{name}.png
Source2:        %{name}.desktop
# Fix hard links to Authors /home directory upstream contacted.
Patch0:         %{name}-html-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       fldigi

%description
Documentation for the Fldigi project. A ham radio digital mode application.
This documentation package provides the entire set of documents provided
on the fldigi website http://www.w1hkj.com/FldigiHelp-3.20/index.html
Packaged for local install for remote events in which the operator may
not have internet access to read online documentation.

%prep
%setup -q -n FldigiHelp-3.20
# Fix hardlinks to Authors /home directory.
%patch0 -p1 -b %{name}-html-link.patch
 
# Remove redundant archive from source.
rm ./Modes/modes.zip

%build
# HTML documents no build needed

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/images
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray

install -p -D -m 0644 *.html $RPM_BUILD_ROOT%{_docdir}/%{name}/
install -p -D -m 0644 ./images/*.png $RPM_BUILD_ROOT%{_docdir}/%{name}/images/
install -p -D -m 0644 ./images/*.PNG $RPM_BUILD_ROOT%{_docdir}/%{name}/images/
install -p -D -m 0644 ./images/*.jpg $RPM_BUILD_ROOT%{_docdir}/%{name}/images/
install -p -D -m 0644 ./Modes/*.wav $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.png $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.gif $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.htm $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.css $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/murray/*.htm $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray/
install -p -D -m 0644 ./Modes/murray/*.xls $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray/
install -p -D -m 0644 ./Modes/murray/*.gif $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray/

# Install .desktop icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}/
%dir %{_docdir}/%{name}/images/
%dir %{_docdir}/%{name}/Modes/
%dir %{_docdir}/%{name}/Modes/murray/
%{_docdir}/%{name}/*.html
%{_docdir}/%{name}/images/*.png
%{_docdir}/%{name}/images/*.PNG
%{_docdir}/%{name}/images/*.jpg
%{_docdir}/%{name}/Modes/*.wav
%{_docdir}/%{name}/Modes/*.png
%{_docdir}/%{name}/Modes/*.gif
%{_docdir}/%{name}/Modes/*.htm
%{_docdir}/%{name}/Modes/*.css
%{_docdir}/%{name}/Modes/murray/*.gif
%{_docdir}/%{name}/Modes/murray/*.htm
%{_docdir}/%{name}/Modes/murray/*.xls
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Oct 22 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 3.20-3
- Fixed spec mixed use of space/tab in spec (rpmlint)
- Fixed invalid source URL (rpmlint)

* Tue Sep 14 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 3.20-2
- Fix .desktop wrong path

* Sun Sep 5 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 3.20-1
- Initial spec build
- Submit for review

